require 'test_helper'

class NodesControllerTest < ActionController::TestCase
  setup do
    @node = nodes(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:'nodes')
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create node" do
    assert_difference('Node.count') do
      post :create, nodes: { balance_t: @node.balance_t, balance_z: @node.balance_z, domain: @node.domain, ipv4: @node.ipv4, ipv6: @node.ipv6, name: @node.name, server_provider: @node.server_provider, start_balance_t: @node.start_balance_t, start_balance_z: @node.start_balance_z, taddress: @node.taddress, zaddress: @node.zaddress }
    end

    assert_redirected_to node_path(assigns(:nodes))
  end

  test "should show node" do
    get :show, id: @node
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @node
    assert_response :success
  end

  test "should update node" do
    patch :update, id: @node, nodes: { balance_t: @node.balance_t, balance_z: @node.balance_z, domain: @node.domain, ipv4: @node.ipv4, ipv6: @node.ipv6, name: @node.name, server_provider: @node.server_provider, start_balance_t: @node.start_balance_t, start_balance_z: @node.start_balance_z, taddress: @node.taddress, zaddress: @node.zaddress }
    assert_redirected_to node_path(assigns(:nodes))
  end

  test "should destroy node" do
    assert_difference('Node.count', -1) do
      delete :destroy, id: @node
    end

    assert_redirected_to nodes_path
  end
end
